Bug 34178 - top and dmesg report incorrect amount of memory
top and dmesg report incorrect amount of memory
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-30 18:26 EST by chook
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 08:55:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chook 2001-03-30 18:26:01 EST
I have a Pentium III PC with a Gigabyte GAGVXE7+ with 1 PC 133, 256 MB
DIMM.
I don't know who the manufacturer of the memory board is, it just says
"Made by 16x8".

Running dmesg or top reports only 64MB of memory although the BIOS reports
256 MB of memory upon bootup. Is this a bug with the operating system?

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06
EDT 2000
Detected 731483 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1458.18 BogoMIPS
Memory: 63884k/66496k available (1048k kernel code, 412k reserved, 1088k
data, 64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 65536 (order 6, 256k)
Page cache hash table entries: 16384 (order 4, 64k)
VFS: Diskquotas version dquot_6.4.0 initialized
Pentium-III serial number disabled.
CPU: Intel Pentium III (Coppermine) stepping 03
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfb160
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: 00:38 [1106/0596]: Work around ISA DMA hangs (00)
Activating ISA DMA hang workarounds.
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 65536 bhash 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.13)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xe000-0xe007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xe008-0xe00f, BIOS settings: hdc:pio, hdd:DMA
hda: Maxtor 52049H3, ATA DISK drive
hdd: CRD-8520B, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: Maxtor 52049H3, 19541MB w/2048kB Cache, CHS=2491/255/63
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :  1626.870 MB/sec
   p5_mmx    :  1708.785 MB/sec
   8regs     :  1256.157 MB/sec
   32regs    :   704.088 MB/sec
using fastest function: p5_mmx (1708.785 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096 hda: hda1 hda2 < hda5 hda6 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 64k freed
Adding Swap: 265032k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.232 $ time 16:53:56 Aug 22 2000
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xe400, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 2 ports detected
es1371: version v0.22 time 16:53:18 Aug 22 2000
es1371: found chip, vendor id 0x1274 device id 0x1371 revision 0x07
es1371: found es1371 rev 7 at io 0xec00 irq 5
es1371: features: joystick 0x0
es1371: codec vendor   v (0x838476) revision 8 (0x08)
es1371: codec features 18bit DAC 18bit ADC
es1371: stereo enhancement: SigmaTel SS3DLinux agpgart interface v0.99 (c)
Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 28M
agpgart: Detected Via Apollo Pro chipset
agpgart: AGP aperture is 64M @ 0xd8000000
3Com 3c90x Version 1.0.0i 1999 <linux_drivers@3com.com>
[drm] AGP 0.99 on VIA Apollo Pro @ 0xd8000000 64MB
[drm] Initialized r128 1.0.0 20000719 on minor 63
Comment 1 Arjan van de Ven 2001-03-30 22:04:03 EST
Investigating
Comment 2 Arjan van de Ven 2001-04-17 08:55:10 EDT
Please try again with the recently released 2.2.19 errata kernel. This kernel
has major fixes for the memory-detection and should detect all your memory.

Please give feedback on how it works so I can close the bug if it is fixed.
Comment 3 Arjan van de Ven 2002-09-05 03:14:15 EDT
closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.